Bug 76806 - EDITING HTML Document LABEL FIELD not working in browser
Summary: EDITING HTML Document LABEL FIELD not working in browser
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:html
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2014-03-30 19:29 UTC by bargainsgalore622
Modified: 2019-08-10 21:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot1.png shows a "Label Field" box with text anchored to the page. (113.45 KB, image/png)
2014-04-06 15:46 UTC, bargainsgalore622
Details
HTML Document missing the Label Field text when viewed in Firefox browser. (68.82 KB, image/png)
2014-04-06 15:49 UTC, bargainsgalore622
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bargainsgalore622 2014-03-30 19:29:18 UTC
I'm using LibreOffice Draw to design a HTML Document:
File --> New --> HTML Document.

When I select Controls --> "Label Field" to add a text label to my webpage, the text label won't display on my webpage when I test it with my browsers.

I saved my project and checked the html code.
No html code is added for the Label Field. 
No Label shows on the webpage. 

Version:  Libreoffice 4.1.3.2 for Ubuntu 13.10 (AMD64) 
Downloaded Libreoffice from the Ubuntu repo using apt-get.
Tested in Lubuntu 13.10
Comment 1 bargainsgalore622 2014-03-30 19:57:10 UTC
I found a partial work-around to add text to the webpage:

Controls --> Text Box, then set the properties to "Read-only" and Borders "Without Frame".

Now I see text on the webpage when I test in the browser.
But the "Text Box" still has a frame around it although I selected "Without Frame" in the properities.
Comment 2 Thomas Hackert 2014-04-06 07:44:54 UTC
Hello bargainsgalore622,
would you be so kind to give us a more descriptive instruction, please? Something like
1. Go to "File -> New -> HML Document"
2. Write some text
3. Click on $something at $somethingelse
4. Do something completely different
...
? Or would you be so kind to attach a test document to this bug, please?

I tried it this way:
1. Went to "File – New – HTML Document"
2. Wrote some text
3. Went to "View – Toolbars – Form Controls"
4. Clicked on "Label Fields" (the button with "An" on it)
5. Clicked somewhere on the page and draw a square
6. Doubleclicked on this label field
7. Entered something for "Name", Label", "Additional information" and "Help text" on the tab "General"
8. Closed this dialog
9. Pressed <CRTL>+<S> to the save the document (during the save process I got an error message
<quote>
Warning saving the document TestMitHTMLLabel:
Write Error.
Document could not be completely saved.
</quote>
, but I was still able to open this file in Firefox 30.0a2 (2014-04-05) and see my text as well as a small icon with something on it near the text I have entered ... ;) ).

Did you do anything completely different? I can only confirm, that LO does only insert
<quote>
<p><img src="data:" align="absmiddle"></p>
</quote>
for this label field there.

Tested with LO Version: 4.2.3.3 Build ID: 6c3586f855673fa6a1576797f575b31ac6fa0ba3 (parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel) with Germanophone lang- as well as helppack under Debian Testing i686.

When I try this with LO Version: 4.1.5.3 Build-ID: 1c1366bba2ba2b554cd2ca4d87c06da81c05d24, I still get this error message, but LO does not seem to insert this icon in the resulting webpage ... :(

Sorry for the inconvenience
Thomas.

P.S.: Why did you choose Draw as a component? I think, it should be Writer, as it is Writer/Web, which opens, when you choose "File – New – HTML Document" ... ;)
Comment 3 bargainsgalore622 2014-04-06 15:46:42 UTC
Created attachment 96990 [details]
screenshot1.png shows a "Label Field" box with text anchored to the page.

screenshot1.png shows LibreOffice Writer/Web designing a HTML Document with a "Label Field" box with text anchored to the page.
The text shows OK when designing the document but the text won't show when viewed in the browser.
Comment 4 bargainsgalore622 2014-04-06 15:49:53 UTC
Created attachment 96991 [details]
HTML Document missing the Label Field text when viewed in Firefox browser.

HTML Document viewed in Firefox browser.
Page appears blank. 
Label Field text is missing.
Comment 5 bargainsgalore622 2014-04-06 15:51:06 UTC
Here's what I did:

1. Open LibreOffice Draw
2.  Select:  File -->  New -->  HTML Document
      (It opens a new window of "LibreOffice Writer/Web" to edit the HTML document)
3.  In the "LibreOffice Writer/Web"  window,  click:  View -->  Toolbars --> Form Controls.    (a popup toolbox appears).
4.  In the "Form Controls" box, click the "ABC" icon for "Label Field".
5.  Draw a box on the page.
6.  Double click the box to open "Properties:  Label Field".
7.  In the "Name" section, I entered the text "Test"
8.  In the "Label"  section, I entered the text "This is a test".
9.  In the "Font" section, I selected:  Ariel, bold, 32.  (Click OK).
10.  In the "Anchor" section, I select "To Page".
        (I left everything else as default then closed the Properties box).
11.  Drag the Label Field box to the center of the page.   ( * See screenshot1.png).
12.   Click:  File -->  Save As... Then enter the file name as "test.html" 
13.  Click "All Formats" and select "HTML Document (.html)".
14.  Click "Save".    (I saved the file to /home/user1/Documents/test.html).
15.  I receive an error message:  "Warning saving the document test:  Write Error.  Document could not be completely saved."   Click "OK".
16.  I use pcmanfm (file manager) to navigate to /home/user1/Documents and double click on my html file "test.html".
17.  Firefox browser opens but no text is displayed on the webpage (ie The Label Field text is missing).   ** See screenshot2.png 
         I'm using Firefox 28.0 Firefox for Ubuntu canonical - 1.0)
18.  I open the same html file "test.html" using chromium browser with the same problem of missing text for the Label Field.
        (using Chromium Version 33.0.1750.152 Ubuntu 13.10 (256984)).

PS:  Thomas: Yes, LibreOffice Draw opens up a "LibreOffice Writer/Web" window for the HTML Document.  (not Draw).
         I also followed your example and had the same problem I listed above. (no text showing in the Label Field box when viewed in the browser).

       Screenshot attachments:
      
       *   screenshot1.png  (shows LibreOffice Writer/Web designing a HTML Document with text in a "Label Field" box.
       ** screenshot2.png  (shows the same HTML Document viewed in firefox browser missing the Label Field text.).

Hope that helps, Andrew.
Comment 6 bargainsgalore622 2014-04-06 16:13:46 UTC
This problem exists when I tested LibreOffice in Lubuntu 13.10 and 13.04.
(I installed LibreOffice from the repo using apt-get install).

My test PCs:

Acer Veriton S661  (CPU: Core2Duo. RAM: 2GB)  OS:  Lubuntu 13.10
HP Pavilion dm1 (AMD E-300 APU. RAM: 2GB)  OS:  Lubuntu 13.04 

The same problem happened when I tested OpenOffice in Lubuntu.
I don't know if this is a bug in LibreOffice/OpenOffice or a bug in Lubuntu.
Comment 7 Thomas Hackert 2014-04-13 08:09:31 UTC
Hello Andrew, *,

(In reply to comment #5)
<snip>
> 4.  In the "Form Controls" box, click the "ABC" icon for "Label Field".

Maybe I am little bit too picky here, but this field is the "Text Box" button ... ;) The one I have mentioned in my description (that one with an "An" on it is for label fields ... ;)

> 5.  Draw a box on the page.
> 6.  Double click the box to open "Properties:  Label Field".

... and here I get a window with "Properties: Text Box" on it ... ;) Otherwise I do not see

<snip>
> 8.  In the "Label"  section, I entered the text "This is a test".

in the dialog ... :(

> 9.  In the "Font" section, I selected:  Ariel, bold, 32.  (Click OK).

I have no Winblows fonts installed, so I let the preselected Liberation Sans unchanged.

<snip>
> 13.  Click "All Formats" and select "HTML Document (.html)".

Where did you find this entry? I have only "File name:", "File type:" (with "HTML Document (.html) and the like) and "Automatic file name extension" there.

<snip>
> 15.  I receive an error message:  "Warning saving the document test:  Write
> Error.  Document could not be completely saved."   Click "OK".

I can confirm this message ... :( But only for the 4.1 series of LO, not with newer ones ... ;)

<snip>
> 17.  Firefox browser opens but no text is displayed on the webpage (ie The
> Label Field text is missing).   ** See screenshot2.png 

O.K. Confirmed with parallel installed LO Version: 4.1.6.1 Build ID: a59ce81388f477fc89db57f0c27f222f31884eb (with installed Germanophone lang- as well as helppack) under Debian Testing i686 ... :(

>          I'm using Firefox 28.0 Firefox for Ubuntu canonical - 1.0)
> 18.  I open the same html file "test.html" using chromium browser with the
> same problem of missing text for the Label Field.
>         (using Chromium Version 33.0.1750.152 Ubuntu 13.10 (256984)).

Thanks for your info :)

> PS:  Thomas: Yes, LibreOffice Draw opens up a "LibreOffice Writer/Web"
> window for the HTML Document.  (not Draw).

No. You opened Draw, then – with "File - New - HTML Document" – you started the module "Writer/Web". If you go to the "Window" menu, you will see, that there is one Draw document (should be titled "Untitled 1 . LibreOffice Draw" and your newly created HTML document (test.html - LibreOffice Writer/Web). If you switch to your Draw window and close it, it will have no impact to your Writer/Web window. And you could have also started LO's StartCenter, then use "File - New - HTML Document", than Writer/Web would replace your StartCenter window instead. I think, it is more some kind of import/export bug (not exporting all HTML parts to the final HTML file). If I am wrong here, I hope, someone else from the QA team will switch it adequately ... ;)

>          I also followed your example and had the same problem I listed
> above. (no text showing in the Label Field box when viewed in the browser).
> 
>        Screenshot attachments:

Interestingly, with my parallel installed LO Version: 4.2.3.3 Build-ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0 (with Germanophone lang- as well as helppack) and LO Version: 4.3.0.0.alpha0+ Build ID: b7c7bd3de0fdadaf5e4769e0759d68ad17fb7bd0 TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-04-10_02:05:19 (with installed en_US lang- as well as helppack) under Debian Testing i686, I am not able to reproduce this bug ... :( So it seems, it is fixed somewhere between 4.1.x and 4.2.x ... ;) Would you be so kind to test it with a newer version than 4.1.3.2, please? I know, it is not that pleasable to know, that your bug is fixed in the next version of LO, but I do not think, that devs will fix it, as 4.1 has shortly reached its EOL ... :(

Thanks for your patience with me and have a nice day
Thomas.
<Rest snipped>
Comment 8 Joel Madero 2015-05-12 17:12:03 UTC
My findings:

Ubuntu 15.04
LibreOffice 5 - cannot test due to a new regression that crashes Draw;

LibreOffice 4.4.2.2 - confirmed

LibreOffice 3.3 - confirmed (thus this bug is inherited from OOo) - setting version



Priority:
This was incorrectly marked as major by the bug reporter - this is a minor bug due to a few things:
1) No loss of data - the data is there, it's just not treated correctly - if you open the file again in Draw, the label field is there;

2) This does not prevent high quality/professional work due to workaround in comment 1

3) The separate bug of the frame should be reported separately

So:
Minor: Can slow down professional quality work but there is a workaround that gives users the desire effect (minus the frame....which is a separate issue)
Comment 9 QA Administrators 2016-09-20 09:41:59 UTC Comment hidden (obsolete)
Comment 10 eisa01 2018-03-31 20:10:39 UTC
Still present

Version: 6.1.0.0.alpha0+
Build ID: a488c7ad2763b944713997911c1ddb0315d8c93f
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-03-26_00:38:29
Locale: en-US (en_US.UTF-8); Calc: group
Comment 11 Ingrid 2018-07-19 10:40:46 UTC
This bug is affecting the export to pdf too.  We're trying to make an accessible pdf and the accessibility checker keeps telling form fields are not labeled, since they're are exported as plain text.
Comment 12 QA Administrators 2019-07-20 02:46:35 UTC Comment hidden (obsolete)
Comment 13 eisa01 2019-08-10 21:03:59 UTC
This is still present. You now get a warning "Document could not be completely saved"

Version: 6.4.0.0.alpha0+
Build ID: 54028dc503fc08eb12e287919d5e2850cff05b73
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-07-31_01:48:19
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded